/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 28544
 |         NATIONAL SURVEY OF SUBSTANCE ABUSE TREATMENT SERVICES
 |                (N-SSATS) -- CONCATENATED, 1997 TO 2011
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace OTHNONTX = . if (OTHNONTX <= -1 )
replace DETOX = . if (DETOX <= -1 )
replace TREATMT = . if (TREATMT <= -1 )
replace ADMIN = . if (ADMIN <= -1 )
replace TX_DETOX = . if (TX_DETOX <= -1 )
replace DETXALC = . if (DETXALC <= -1 )
replace DETXBEN = . if (DETXBEN <= -1 )
replace DETXCOC = . if (DETXCOC <= -1 )
replace DETXMET = . if (DETXMET <= -1 )
replace DETXOP = . if (DETXOP <= -1 )
replace DETXOTH = . if (DETXOTH <= -1 )
replace DETXMED = . if (DETXMED <= -1 )
replace FOCUS = . if (FOCUS <= -1 )
replace OWNERSHP = . if (OWNERSHP <= -1 )
replace FEDOWN = . if (FEDOWN <= -1 )
replace LOC15 = . if (LOC15 <= -1 )
replace RELIG = . if (RELIG <= -1 )
replace HOSPITAL = . if (HOSPITAL <= -1 )
replace LOCS = . if (LOCS <= -1 )
replace HOTYN = . if (HOTYN <= -1 )
replace SRVC89 = . if (SRVC89 <= -1 )
replace SRVC90 = . if (SRVC90 <= -1 )
replace SRVC1 = . if (SRVC1 <= -1 )
replace SRVC2 = . if (SRVC2 <= -1 )
replace SRVC107 = . if (SRVC107 <= -1 )
replace SRVC91 = . if (SRVC91 <= -1 )
replace SRVC93 = . if (SRVC93 <= -1 )
replace SRVC92 = . if (SRVC92 <= -1 )
replace SRVC10 = . if (SRVC10 <= -1 )
replace SRVC11 = . if (SRVC11 <= -1 )
replace SRVC73 = . if (SRVC73 <= -1 )
replace SRVC74 = . if (SRVC74 <= -1 )
replace SRVC14 = . if (SRVC14 <= -1 )
replace SRVC15 = . if (SRVC15 <= -1 )
replace SRVC16 = . if (SRVC16 <= -1 )
replace SRVC12 = . if (SRVC12 <= -1 )
replace SRVC13 = . if (SRVC13 <= -1 )
replace SRVC37 = . if (SRVC37 <= -1 )
replace SRVC27 = . if (SRVC27 <= -1 )
replace SRVC8 = . if (SRVC8 <= -1 )
replace SRVC28 = . if (SRVC28 <= -1 )
replace SRVC40 = . if (SRVC40 <= -1 )
replace SRVC49 = . if (SRVC49 <= -1 )
replace SRVC96 = . if (SRVC96 <= -1 )
replace SRVC97 = . if (SRVC97 <= -1 )
replace SRVC50 = . if (SRVC50 <= -1 )
replace SRVC36 = . if (SRVC36 <= -1 )
replace SRVC38 = . if (SRVC38 <= -1 )
replace SRVC39 = . if (SRVC39 <= -1 )
replace SRVC52 = . if (SRVC52 <= -1 )
replace SRVC98 = . if (SRVC98 <= -1 )
replace SRVC24 = . if (SRVC24 <= -1 )
replace SRVC99 = . if (SRVC99 <= -1 )
replace SRVC100 = . if (SRVC100 <= -1 )
replace SRVC59 = . if (SRVC59 <= -1 )
replace SRVC101 = . if (SRVC101 <= -1 )
replace SRVC48 = . if (SRVC48 <= -1 )
replace SRVC75 = . if (SRVC75 <= -1 )
replace SRVC102 = . if (SRVC102 <= -1 )
replace SRVC18 = . if (SRVC18 <= -1 )
replace SRVC19 = . if (SRVC19 <= -1 )
replace SRVC20 = . if (SRVC20 <= -1 )
replace SRVC21 = . if (SRVC21 <= -1 )
replace SRVC22 = . if (SRVC22 <= -1 )
replace SRVC44 = . if (SRVC44 <= -1 )
replace SRVC45 = . if (SRVC45 <= -1 )
replace SRVC47 = . if (SRVC47 <= -1 )
replace SRVC51 = . if (SRVC51 <= -1 )
replace SRVC53 = . if (SRVC53 <= -1 )
replace SRVC54 = . if (SRVC54 <= -1 )
replace SRVC56 = . if (SRVC56 <= -1 )
replace SRVC58 = . if (SRVC58 <= -1 )
replace SRVC104 = . if (SRVC104 <= -1 )
replace SRVC105 = . if (SRVC105 <= -1 )
replace SRVC70 = . if (SRVC70 <= -1 )
replace SRVC71 = . if (SRVC71 <= -1 )
replace SRVC108 = . if (SRVC108 <= -1 )
replace SRVC88 = . if (SRVC88 <= -1 )
replace SRVC94 = . if (SRVC94 <= -1 )
replace SRVC95 = . if (SRVC95 <= -1 )
replace SRVC85 = . if (SRVC85 <= -1 )
replace SRVC86 = . if (SRVC86 <= -1 )
replace SRVC87 = . if (SRVC87 <= -1 )
replace SRVC7 = . if (SRVC7 <= -1 )
replace SRVC72 = . if (SRVC72 <= -1 )
replace SRVC106 = . if (SRVC106 <= -1 )
replace MAINTTYP = . if (MAINTTYP <= -1 )
replace MAINTALL = . if (MAINTALL <= -1 )
replace DETXTYPE = . if (DETXTYPE <= -1 )
replace OTP = . if (OTP <= -1 )
replace OTPALL = . if (OTPALL <= -1 )
replace OTPTYPE = . if (OTPTYPE <= -1 )
replace METLAM = . if (METLAM <= -1 )
replace SRVC6 = . if (SRVC6 <= -1 )
replace SRVC6PCT = . if (SRVC6PCT <= -1 )
replace SRVC5 = . if (SRVC5 <= -1 )
replace SRVC5PCT = . if (SRVC5PCT <= -1 )
replace SRVC4 = . if (SRVC4 <= -1 )
replace SRVC4PCT = . if (SRVC4PCT <= -1 )
replace SRVC103 = . if (SRVC103 <= -1 )
replace SRVC103P = . if (SRVC103P <= -1 )
replace SACNSL = . if (SACNSL <= -1 )
replace TWELVEST = . if (TWELVEST <= -1 )
replace BRINTRV = . if (BRINTRV <= -1 )
replace COGBEH = . if (COGBEH <= -1 )
replace CONTMGT = . if (CONTMGT <= -1 )
replace MOTVINT = . if (MOTVINT <= -1 )
replace TRAUMA = . if (TRAUMA <= -1 )
replace ANGER = . if (ANGER <= -1 )
replace MATRIX = . if (MATRIX <= -1 )
replace COMMREIN = . if (COMMREIN <= -1 )
replace REBT = . if (REBT <= -1 )
replace RELPS = . if (RELPS <= -1 )
replace APPROTH = . if (APPROTH <= -1 )
replace CONTED = . if (CONTED <= -1 )
replace DRUGTST = . if (DRUGTST <= -1 )
replace CASEREV = . if (CASEREV <= -1 )
replace QUALREV = . if (QUALREV <= -1 )
replace OUTFUP = . if (OUTFUP <= -1 )
replace UTREV = . if (UTREV <= -1 )
replace SATSUR = . if (SATSUR <= -1 )
replace DUI_DWI = . if (DUI_DWI <= -1 )
replace ONLYDUI = . if (ONLYDUI <= -1 )
replace SIGNLANG = . if (SIGNLANG <= -1 )
replace LANG = . if (LANG <= -1 )
replace LANGPROV = . if (LANGPROV <= -1 )
replace LANG1 = . if (LANG1 <= -1 )
replace LANG2 = . if (LANG2 <= -1 )
replace LANG3 = . if (LANG3 <= -1 )
replace LANG4 = . if (LANG4 <= -1 )
replace LANG5 = . if (LANG5 <= -1 )
replace LANG6 = . if (LANG6 <= -1 )
replace LANG7 = . if (LANG7 <= -1 )
replace LANG8 = . if (LANG8 <= -1 )
replace LANG9 = . if (LANG9 <= -1 )
replace LANG10 = . if (LANG10 <= -1 )
replace LANG11 = . if (LANG11 <= -1 )
replace LANG19 = . if (LANG19 <= -1 )
replace LANG12 = . if (LANG12 <= -1 )
replace LANG13 = . if (LANG13 <= -1 )
replace LANG14 = . if (LANG14 <= -1 )
replace LANG15 = . if (LANG15 <= -1 )
replace LANG16 = . if (LANG16 <= -1 )
replace LANG20 = . if (LANG20 <= -1 )
replace LANG17 = . if (LANG17 <= -1 )
replace LANG18 = . if (LANG18 <= -1 )
replace SRVC30 = . if (SRVC30 <= -1 )
replace SRVC31 = . if (SRVC31 <= -1 )
replace SRVC61 = . if (SRVC61 <= -1 )
replace SRVC32 = . if (SRVC32 <= -1 )
replace SRVC62 = . if (SRVC62 <= -1 )
replace SRVC63 = . if (SRVC63 <= -1 )
replace SRVC34 = . if (SRVC34 <= -1 )
replace SRVC33 = . if (SRVC33 <= -1 )
replace SRVC64 = . if (SRVC64 <= -1 )
replace SRVC35 = . if (SRVC35 <= -1 )
replace CTYPE4 = . if (CTYPE4 <= -1 )
replace CTYPEHI1 = . if (CTYPEHI1 <= -1 )
replace CTYPEHI2 = . if (CTYPEHI2 <= -1 )
replace CTYPE7 = . if (CTYPE7 <= -1 )
replace CTYPERC1 = . if (CTYPERC1 <= -1 )
replace CTYPERC2 = . if (CTYPERC2 <= -1 )
replace CTYPERC3 = . if (CTYPERC3 <= -1 )
replace CTYPERC4 = . if (CTYPERC4 <= -1 )
replace CTYPE1 = . if (CTYPE1 <= -1 )
replace CTYPE6 = . if (CTYPE6 <= -1 )
replace CTYPEML = . if (CTYPEML <= -1 )
replace CTYPEOP = . if (CTYPEOP <= -1 )
replace CTYPE2 = . if (CTYPE2 <= -1 )
replace CTYPE3 = . if (CTYPE3 <= -1 )
replace FEESCALE = . if (FEESCALE <= -1 )
replace PAYASST = . if (PAYASST <= -1 )
replace NOCHARGE = . if (NOCHARGE <= -1 )
replace EARMARK = . if (EARMARK <= -1 )
replace REVCHK3 = . if (REVCHK3 <= -1 )
replace REVCHK1 = . if (REVCHK1 <= -1 )
replace REVCHK8 = . if (REVCHK8 <= -1 )
replace REVCHK5 = . if (REVCHK5 <= -1 )
replace REVCHK10 = . if (REVCHK10 <= -1 )
replace REVCHK15 = . if (REVCHK15 <= -1 )
replace REVCHK2 = . if (REVCHK2 <= -1 )
replace REVCHK16 = . if (REVCHK16 <= -1 )
replace REVCHK17 = . if (REVCHK17 <= -1 )
replace REVCHK2A = . if (REVCHK2A <= -1 )
replace WRITARRA = . if (WRITARRA <= -1 )
replace ADMINLNK = . if (ADMINLNK <= -1 )
replace FACONLY = . if (FACONLY <= -1 )
replace OTHNUM = . if (OTHNUM <= -1 )
replace OTHFAC = . if (OTHFAC <= -1 )
replace FACNUM = . if (FACNUM <= -1 )
replace TYPE4 = . if (TYPE4 <= -1 )
replace T_CLI1 = . if (T_CLI1 <= -1 )
replace T_CLI2 = . if (T_CLI2 <= -1 )
replace T_CLIHI = . if (T_CLIHI <= -1 )
replace H_AGE1 = . if (H_AGE1 <= -1 )
replace HIMETNUM = . if (HIMETNUM <= -1 )
replace HILAMNUM = . if (HILAMNUM <= -1 )
replace HIBUPNUM = . if (HIBUPNUM <= -1 )
replace HOSPBED = . if (HOSPBED <= -1 )
replace TYPE7 = . if (TYPE7 <= -1 )
replace T_CLI3 = . if (T_CLI3 <= -1 )
replace T_CLI4 = . if (T_CLI4 <= -1 )
replace T_CLI9 = . if (T_CLI9 <= -1 )
replace T_CLI10 = . if (T_CLI10 <= -1 )
replace T_CLIRC = . if (T_CLIRC <= -1 )
replace R_AGE1 = . if (R_AGE1 <= -1 )
replace RCMETNUM = . if (RCMETNUM <= -1 )
replace RCLAMNUM = . if (RCLAMNUM <= -1 )
replace RCBUPNUM = . if (RCBUPNUM <= -1 )
replace RESBED = . if (RESBED <= -1 )
replace TYPE1 = . if (TYPE1 <= -1 )
replace T_CLI7 = . if (T_CLI7 <= -1 )
replace T_CLIML = . if (T_CLIML <= -1 )
replace T_CLI8 = . if (T_CLI8 <= -1 )
replace T_CLI6 = . if (T_CLI6 <= -1 )
replace T_CLI5 = . if (T_CLI5 <= -1 )
replace T_OPOTH = . if (T_OPOTH <= -1 )
replace T_CLIOP = . if (T_CLIOP <= -1 )
replace O_AGE1 = . if (O_AGE1 <= -1 )
replace OPMETNUM = . if (OPMETNUM <= -1 )
replace OPLAMNUM = . if (OPLAMNUM <= -1 )
replace OPBUPNUM = . if (OPBUPNUM <= -1 )
replace B_PCT = . if (B_PCT <= -1.00 )
replace A_PCT = . if (A_PCT <= -1.00 )
replace D_PCT = . if (D_PCT <= -1.00 )
replace COD_PCT = . if (COD_PCT <= -1 )
replace TOTADMIS = . if (TOTADMIS <= -1.00 )
replace ATRADMIS = . if (ATRADMIS <= -1 )
replace ACTHI = . if (ACTHI <= -1 )
replace ACTRES = . if (ACTRES <= -1 )
replace ACTOP = . if (ACTOP <= -1 )
replace NUMEST = . if (NUMEST <= -1 )
replace TOTADEST = . if (TOTADEST <= -1 )
replace LOC5 = . if (LOC5 <= -1 )
replace SMOKEPOL = . if (SMOKEPOL <= -1 )
replace LICENSED = . if (LICENSED <= -1 )
replace LICENMH = . if (LICENMH <= -1 )
replace LICENPH = . if (LICENPH <= -1 )
replace LICENHOS = . if (LICENHOS <= -1 )
replace JCAHO = . if (JCAHO <= -1 )
replace CARF = . if (CARF <= -1 )
replace NCQA = . if (NCQA <= -1 )
replace COA = . if (COA <= -1 )
replace OTHSTATE = . if (OTHSTATE <= -1 )
replace HASWEB = . if (HASWEB <= -1 )
replace INTERNET = . if (INTERNET <= -1 )
replace UNROLLED = . if (UNROLLED <= -1 )
replace T_CLI11 = . if (T_CLI11 <= -1 )
replace T_CLIJUV = . if (T_CLIJUV <= -1 )
replace T_METH = . if (T_METH <= -1 )
replace T_LAAM = . if (T_LAAM <= -1 )
replace T_BUPR = . if (T_BUPR <= -1 )
replace T_METLAM = . if (T_METLAM <= -1 )
replace T_METBUP = . if (T_METBUP <= -1 )


